<%
/*
 * Copyright (C) 2002 by MyVietnam.net
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * All copyright notices regarding mvnForum
 * must remain intact in the scripts and in the outputted HTML
 * The "powered by" text/logo with a link back to
 * http://www.mvnForum.com and http://www.MyVietnam.net in the footer of the pages MUST
 * remain visible when the pages are viewed on the internet or intranet.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * Support can be obtained from support forums at:
 * http://www.mvnForum.com/mvnforum/index
 *
 * Correspondence and Marketing Questions can be sent to:
 * info@MyVietnam.net
 *
 * @author: Minh Nguyen  minhnn@MyVietnam.net
 * @author: Mai  Nguyen  mai.nh@MyVietnam.net
 */
%>
<%@ page errorPage="/mvnplugin/mvnforum/error.jsp"%>
<%@ page import="java.util.ArrayList" %>
<%@ page import="net.myvietnam.mvnplugin.mvnforum.db.*" %>
<%@ page import="net.myvietnam.mvncore.util.ParamUtil" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">

<html>
<head>
    <title>Forum/Category management</title>
<%@ include file="/mvnplugin/mvnforum/meta.jsp"%>
</head>
<link href="<%=request.getContextPath()%>/mvnplugin/mvnforum/css/style.css" rel=stylesheet type=text/css>
<body leftmargin=0 topmargin=0>

<%@ include file="/mvnplugin/mvnforum/admin/header.jsp"%>
<p>
<table width="95%" align="center">
<tr class="nav">
    <td><img src="<%=request.getContextPath()%>/mvnplugin/mvnforum/images/nav.gif"></td>
    <td width="100%" nowrap>
    <a class="navLink" href="<%=indexUrl%>">mvnForum</a>&nbsp;&raquo;&nbsp;
    <a class="navLink" href="index">Admin CP</a>&nbsp;&raquo;&nbsp;
    <a class="navLink" href="forummanagement">Forum Management</a>&nbsp;&raquo;&nbsp;
    Edit Forum Permission
    </td>
</tr>
</table>
<p>

<table width="95%" cellspacing="1" cellpadding="3" align="center" bgcolor="#999999">
<tr bgcolor=#f5f5f5>
    <td class="messageText">
    Need some guide lines here
    </td>
</tr>
</table>
<p>
<table width="95%" border="0" cellspacing="1" cellpadding="3" align="center" bgcolor="#999999">
<tr bgcolor="#666699" class="header">
    <td>Group Name/Description</td>
    <td align="center">Owners</td>
    <td align="center">Members</td>
    <td align="center">Edit Permission</td>
</tr>
<%
java.util.Collection groupRows = (java.util.Collection) request.getAttribute("GroupsBeans");
int forumID = ParamUtil.getParameterInt(request, "forum");

int i = 0;
int odd = 0;
java.util.Iterator iterator = groupRows.iterator();
while(iterator.hasNext()) {
    odd = (odd + 1)%2;
    GroupsBean row = (GroupsBean)iterator.next();
    int groupID = row.getGroupID();
%>
<%if (odd == 0) {%>
<tr bgColor=#eeeeff>
<%} else {%>
<tr bgcolor="White">
<%}%>
    <td class="messageText">
        <font class="messageTextBold"><%=row.getGroupName()%></font>
        <br><%=row.getGroupDesc()%>
    </td>
    <td align="center" class="messageText">
        <%
        if ( (groupID == 1) || (groupID == 2) ) {
            out.print("N/A");
        } else {//normal group
            if (row.getGroupOwnerID() == 0) {
               out.print("No Owner for this Group");
            } else {
                out.print(row.getGroupOwnerName());
            }
        }
        %>
    </td>
    <td align="center" nowrap class="messageText">
        <%
        if ( groupID == 1 ) {
            out.print("N/A");
        } else if ( groupID == 2 ) {
            out.print("???");
        } else {//normal group
            out.print("0 (hard code)");
        }
        %>
    </td>
    <td align="center" class="messageText">
        <a href="editgroupforumpermission?group=<%=row.getGroupID()%>&forum=<%=forumID%>">
        <img src="<%=request.getContextPath()%>/mvnplugin/mvnforum/images/icon/edit.gif" border="0" alt="Edit Permission">
        </a>
    </td>
</tr>
<%
    i++;
}//while
if (groupRows.size() == 0) {
%>
    <td colspan="5" align="center" bgcolor="#EEEEFF" class="messageText">There is not any groups.</td>
<%
}
%>
</table>



<p>
&nbsp;

<%@ include file="/mvnplugin/mvnforum/admin/footer.jsp"%>

</body>
</html>
