<%
/*
 * Copyright (C) 2002 by MyVietnam.net
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * All copyright notices regarding mvnForum
 * must remain intact in the scripts and in the outputted HTML
 * The "powered by" text/logo with a link back to
 * http://www.mvnForum.com and http://www.MyVietnam.net in the footer of the pages MUST
 * remain visible when the pages are viewed on the internet or intranet.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * Support can be obtained from support forums at:
 * http://www.mvnForum.com/mvnforum/index
 *
 * Correspondence and Marketing Questions can be sent to:
 * info@MyVietnam.net
 *
 * @author: Minh Nguyen  minhnn@MyVietnam.net
 * @author: Mai  Nguyen  mai.nh@MyVietnam.net
 */
%>
<%@ page errorPage="/mvnplugin/mvnforum/error.jsp"%>
<%@ page import="net.myvietnam.mvncore.util.ParamUtil" %>
<%@ page import="net.myvietnam.mvncore.util.DateUtil" %>
<%@ page import="net.myvietnam.mvnplugin.mvnforum.db.*" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">

<html>
<head>
    <title>Edit Member</title>
<%@ include file="/mvnplugin/mvnforum/meta.jsp"%>
</head>
<link href="<%=request.getContextPath()%>/mvnplugin/mvnforum/css/style.css" rel=stylesheet type=text/css>
<body leftmargin=0 topmargin=0>
<%@ include file="/mvnplugin/mvnforum/admin/header.jsp"%>

<div align="center" class="pageTitle">Edit Member</div>
<p>
<%
MemberBean memberBean = (MemberBean)request.getAttribute("MemberBean");
%>

<form action="updatemember" method="post">
<input type="hidden" name="MemberID" value="<%=memberBean.getMemberID()%>">
<table width="95%" border="0" cellspacing="1" cellpadding="3" align="center" bgcolor="#999999">
  <tr bgcolor=#f5f5f5>
    <TD class="messageTextBold"><font color="Red">*</font> First Name</TD>
    <TD><input type="text" name="MemberFirstname" size="60" value="<%=memberBean.getMemberFirstname()%>"></TD></TR>
  <tr bgcolor="White">
    <TD class="messageTextBold"><font color="Red">*</font> Last Name</TD>
    <TD><input type="text" name="MemberLastname" size="60" value="<%=memberBean.getMemberLastname()%>"></TD></TR>
  <tr bgcolor=#f5f5f5>
    <TD class="messageTextBold"><font color="Red">*</font> Email</TD>
    <TD><input type="text" name="MemberEmail" size="60" value="<%=memberBean.getMemberEmail()%>" readonly></TD></TR>
  <tr bgcolor="White">
    <TD class="messageTextBold"><font color="Red">*</font> Show Email</TD>
    <TD><input type="checkbox" name="ShowEmail" value="yes"
    <%if (memberBean.getMemberEmailVisible() == 1) {%>
    checked
    <%}%>
    ></TD></TR>
  <tr bgcolor=#f5f5f5>
    <TD class="messageTextBold"><font color="Red">*</font> Address</TD>
    <TD><input type="text" name="MemberAddress" size="60" value="<%=memberBean.getMemberAddress()%>"></TD></TR>
  <tr bgcolor="White">
    <TD class="messageTextBold"><font color="Red">*</font> City</TD>
    <TD><input type="text" name="MemberCity" size="60" value="<%=memberBean.getMemberCity()%>"></TD></TR>
  <tr bgcolor=#f5f5f5>
    <TD class="messageTextBold"><font color="Red">*</font> Country</TD>
    <TD><input type="text" name="MemberCountry" size="60" value="<%=memberBean.getMemberCountry()%>"></TD></TR>
  <tr bgcolor="White">
    <TD class="messageTextBold"><font color="Red">*</font> Gender</TD>
    <TD><select name="MemberGender" size="1">
        <%if (memberBean.getMemberGender() == 1) {%>
        <option value="1" selected>Male</option>
        <option value="">Female</option>
        <%} else {%>
        <option value="1">Male</option>
        <option value="" selected>Female</option>
        <%}%>
        </select>
    </TD></TR>
  <tr bgcolor=#f5f5f5>
    <TD class="messageTextBold"><font color="Red">*</font> Birthday (dd/mm/yy)</TD>
    <TD><input type="text" name="MemberBirthday" size="60" value="<%=DateUtil.getDateDDMMYYYY(memberBean.getMemberBirthday())%>"></TD></TR>
  <tr bgcolor="White">
    <TD class="messageTextBold"><font color="Red">*</font> Career</TD>
    <TD><input type="text" name="MemberCareer" size="60" value="<%=memberBean.getMemberCareer()%>"></TD></TR>
  <tr bgcolor=#f5f5f5>
    <TD class="messageTextBold">Home page</TD>
    <TD><input type="text" name="MemberHomepage" size="60" value="<%=memberBean.getMemberHomepage()%>"></TD></TR>
  <tr bgcolor="White">
    <TD class="messageTextBold">Yahoo ID</TD>
    <TD><input type="text" name="MemberYahoo" size="60" value="<%=memberBean.getMemberYahoo()%>"></TD></TR>
  <tr bgcolor=#f5f5f5>
    <TD class="messageTextBold">AOL ID</TD>
    <TD><input type="text" name="MemberAol" size="60" value="<%=memberBean.getMemberAol()%>"></TD></TR>
  <tr bgcolor="White">
    <TD class="messageTextBold">ICQ ID</TD>
    <TD><input type="text" name="MemberIcq" size="60" value="<%=memberBean.getMemberIcq()%>"></TD></TR>
  <tr bgcolor=#f5f5f5>
    <TD class="messageTextBold">Signature</TD>
    <TD><input type="text" name="MemberSignature" size="60" value="<%=memberBean.getMemberSignature()%>"></TD></TR>
  <tr bgcolor="White">
    <TD class="messageTextBold">Enable</TD>
    <TD><input type="checkbox" name="MemberEnable" value="on"
    <%if (memberBean.getMemberStatus() == 1) {%>
    checked
    <%}%>
    ></TD></TR>
  <tr bgcolor="Silver">
    <td colspan="2" align="center"><input type="submit" value="Edit this Member"> <input type="Reset"></td>
  </tr>
</TABLE>

</form>
</p>


<p>
&nbsp;
<p>
<%@ include file="/mvnplugin/mvnforum/admin/footer.jsp"%>

</body>
</html>
