<%
/*
 * Copyright (C) 2002 by MyVietnam.net
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * All copyright notices regarding mvnForum
 * must remain intact in the scripts and in the outputted HTML
 * The "powered by" text/logo with a link back to
 * http://www.mvnForum.com and http://www.MyVietnam.net in the footer of the pages MUST
 * remain visible when the pages are viewed on the internet or intranet.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * Support can be obtained from support forums at:
 * http://www.mvnForum.com/mvnforum/index
 *
 * Correspondence and Marketing Questions can be sent to:
 * info@MyVietnam.net
 *
 * @author: Minh Nguyen  minhnn@MyVietnam.net
 * @author: Mai  Nguyen  mai.nh@MyVietnam.net
 */
%>
<%@ page errorPage="/mvnplugin/mvnforum/error.jsp"%>
<%@ page import="net.myvietnam.mvnplugin.mvnforum.db.*" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">

<html>
<head>
    <title>List Forums</title>
<%@ include file="/mvnplugin/mvnforum/meta.jsp"%>
</head>
<link href="<%=request.getContextPath()%>/mvnplugin/mvnforum/css/style.css" rel=stylesheet type=text/css>
<body leftmargin=0 topmargin=0>

<%@ include file="/mvnplugin/mvnforum/admin/header.jsp"%>

<div align="center" class="pageTitle">List Forums</div>
<p>

<table width="80%" align="center">
  <tr>
    <td><a href="addforum" class="MessageTextBoldBlue">Add new Forum</a></td>
  </tr>
</table>
<p>
<table width="80%" border="0" cellspacing="1" cellpadding="3" align="center" bgcolor="#999999">
<%
java.util.Collection forumRows = (java.util.Collection) request.getAttribute("ForumBeans");

int i = 0;
int odd = 0;
java.util.Iterator iterator = forumRows.iterator();
while(iterator.hasNext()) {
    odd = (odd + 1)%2;
    ForumBean row = (ForumBean)iterator.next();
%>
<%if (odd == 0) {%>
<tr bgColor=#eeeeff>
<%} else {%>
<tr bgcolor="White">
<%}%>
    <td class="messageText">
    <a href="editforum?forum=<%=row.getForumID()%>"><img src="<%=request.getContextPath()%>/mvnplugin/mvnforum/images/icon/edit.gif" border="0" alt="Edit this Forum"></a>&nbsp;&nbsp;&nbsp;
<%if (row.getForumStatus() == 0) {%>
    <font class="messageTextBold">
<%} else {%>
    <font class="messageTextBoldRed">
<%}%>
    <%=row.getForumName()%></font>
    <br>
    <%=row.getForumDesc()%>
    </td>
</tr>
<%
    i++;
}//while
if (forumRows.size() == 0) {
%>
    <td align="center" bgcolor="#EEEEFF" class="messageText">There is not any Forums.</td>
<%
}
%>
</table>


<p>&nbsp;
<%@ include file="/mvnplugin/mvnforum/admin/footer.jsp"%>

</body>
</html>
