<%
/*
 * Copyright (C) 2002 by MyVietnam.net
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * All copyright notices regarding mvnForum
 * must remain intact in the scripts and in the outputted HTML
 * The "powered by" text/logo with a link back to
 * http://www.mvnForum.com and http://www.MyVietnam.net in the footer of the pages MUST
 * remain visible when the pages are viewed on the internet or intranet.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * Support can be obtained from support forums at:
 * http://www.mvnForum.com/mvnforum/index
 *
 * Correspondence and Marketing Questions can be sent to:
 * info@MyVietnam.net
 *
 * @author: Minh Nguyen  minhnn@MyVietnam.net
 * @author: Mai  Nguyen  mai.nh@MyVietnam.net
 */
%>
<%@ page errorPage="/mvnplugin/mvnforum/error.jsp"%>
<%@ page import="net.myvietnam.mvnplugin.mvnforum.db.*" %>
<%@ page import="net.myvietnam.mvncore.util.DateUtil" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">

<html>
<head>
    <title>List all forums</title>
<%@ include file="/mvnplugin/mvnforum/meta.jsp"%>
</head>
<link href="<%=request.getContextPath()%>/mvnplugin/mvnforum/css/style.css" rel=stylesheet type=text/css>
<body leftmargin=0 topmargin=0>

<%@ include file="/mvnplugin/mvnforum/user/header.jsp"%>
<p>

<table width="95%" align="center">
<tr class="nav">
    <td><img src="<%=request.getContextPath()%>/mvnplugin/mvnforum/images/nav.gif"></td>
    <td width="100%" nowrap>
    <a class="navLink" href="index">mvnForum</a>&nbsp;&raquo;&nbsp;
    List all forums
    </td>
</tr>
</table>
<p>

<%
int numberOfTopics = ((Integer)request.getAttribute("NumberOfThreads")).intValue();
int numberOfPosts = ((Integer)request.getAttribute("NumberOfPosts")).intValue();
%>
<table width="95%" align="center">
<tr>
    <td class="hightlight">All forums in mvnForum: (<%=numberOfPosts%> Posts in <%=numberOfTopics%> Threads)</td>
</tr>
</table>

<table width="95%" border="0" cellspacing="1" cellpadding="3" align="center" bgcolor="#999999">
<tr bgcolor="#666699" class="header">
    <td colspan="2">Forum Name/Description</td>
    <td align="center">Threads</td>
    <td align="center">Posts</td>
    <td align="center">Last Post</td>
</tr>
<%
CategoryCache categorySingleton = CategoryCache.getInstance();
java.util.Collection forumRows = (java.util.Collection)request.getAttribute("ForumBeans");
int i = 0;
int odd = 0;
int lastCategoryID = -1;
java.util.Iterator iterator = forumRows.iterator();
while(iterator.hasNext()) {
    odd = (odd+1)%2;
    ForumBean row = (ForumBean)iterator.next();
    if (row.getCategoryID() != lastCategoryID) {// to print the category
        lastCategoryID = row.getCategoryID();
        CategoryBean categoryBean = categorySingleton.getBean(lastCategoryID);
%>
        <td colspan="5" bgcolor="Silver">
        <font class="messageTextBold"><%=categoryBean.getCategoryName()%></font><br>
        <font class="messageText"><%=categoryBean.getCategoryDesc()%></font>
        </td>
<%
    }
%>
<%if (odd == 0) {%>
<tr bgColor=#eeeeff>
<%} else {%>
<tr bgcolor="White">
<%}%>
	<td width="20"><img src="<%=request.getContextPath()%>/mvnplugin/mvnforum/images/icon/forumicon.gif" border="0"></td>
    <td>
        <a class="messageTopic" href="listthreads?forum=<%=row.getForumID()%>"><%=row.getForumName()%></a><br>
        <font class="messageText"><%=row.getForumDesc()%></font>
    </td>
    <td align="center" class="messageTextBold"><%=row.getForumThreadCount()%></td>
    <td align="center" class="messageTextBold"><%=row.getForumPostCount()%></td>
    <td align="center" nowrap class="messageText">
<%if (row.getLastPostMemberName().length() == 0) {%>
    No Posts
<%} else {%>
    <%=onlineUser.getGMTTimestampFormat(row.getForumLastPostDate())%><br>by
    <a href="viewmember?member=<%=row.getLastPostMemberName()%>" class="messageTextBoldBlue">
    <%=row.getLastPostMemberName()%>
    </a>
<%} // else %>
    </td>
</tr>
<%
    i++;
}//while
%>
<%
if (forumRows.size() == 0) {
%>
    <td colspan="5" align="center" bgcolor="#EEEEFF" class="messageText">There is not any Forum.</td>
<%
}
%>
</table>

<p>
&nbsp;

<p>
<%@ include file="/mvnplugin/mvnforum/user/footer.jsp"%></p>


</body>
</html>
