<%
/*
 * Copyright (C) 2002 by MyVietnam.net
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * All copyright notices regarding mvnForum
 * must remain intact in the scripts and in the outputted HTML
 * The "powered by" text/logo with a link back to
 * http://www.mvnForum.com and http://www.MyVietnam.net in the footer of the pages MUST
 * remain visible when the pages are viewed on the internet or intranet.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * Support can be obtained from support forums at:
 * http://www.mvnForum.com/mvnforum/index
 *
 * Correspondence and Marketing Questions can be sent to:
 * info@MyVietnam.net
 *
 * @author: Minh Nguyen  minhnn@MyVietnam.net
 * @author: Mai  Nguyen  mai.nh@MyVietnam.net
 */
%>
<%@ page errorPage="/mvnplugin/mvnforum/error.jsp"%>
<%@ page import="java.util.ArrayList" %>
<%@ page import="net.myvietnam.mvnplugin.mvnforum.db.*" %>
<%@ page import="net.myvietnam.mvnplugin.mvnforum.auth.AbstractPermission" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">

<html>
<head>
    <title>Edit Group Information</title>
<%@ include file="/mvnplugin/mvnforum/meta.jsp"%>
</head>
<link href="<%=request.getContextPath()%>/mvnplugin/mvnforum/css/style.css" rel=stylesheet type=text/css>
<body leftmargin=0 topmargin=0>

<%@ include file="/mvnplugin/mvnforum/admin/header.jsp"%>

<%
GroupsBean groupBean = (GroupsBean)request.getAttribute("GroupsBean");
%>
<p>
<table width="95%" align="center">
<tr class="nav">
    <td><img src="<%=request.getContextPath()%>/mvnplugin/mvnforum/images/nav.gif"></td>
    <td width="100%" nowrap>
    <a class="navLink" href="<%=indexUrl%>">mvnForum</a>&nbsp;&raquo;&nbsp;
    <a class="navLink" href="index">Admin CP</a>&nbsp;&raquo;&nbsp;
    <a class="navLink" href="groupmanagement">Group Management</a>&nbsp;&raquo;&nbsp;
    <a class="navLink" href="viewgroup?group=<%=groupBean.getGroupID()%>"><%=groupBean.getGroupName()%></a>&nbsp;&raquo;&nbsp;
    Edit Group Permission
    </td>
</tr>
</table>

<p>
<form action="updategrouppermission" method="post">
<input type="hidden" name="group" value="<%=groupBean.getGroupID()%>">
<table width="95%" border="0" cellspacing="1" cellpadding="3" align="center" bgcolor="#999999">
<tr bgcolor="#666699" class="header">
    <td>Permissions</td>
    <td width="20%" align="center">Current Status</td>
    <td width="20%" align="center">Add</td>
    <td width="20%" align="center">Remove</td>
</tr>
<%
    int[] currentPerms = (int[])request.getAttribute("CurrentPermissions");
    int[] allPerms = AbstractPermission.globalPermissionArray;

    for (int i = 0; i < allPerms.length; i++) {
        int perm = allPerms[i];

        boolean havePerm = false;
        for (int j = 0; j < currentPerms.length; j++) {
            if (currentPerms[j] == perm) {
                havePerm = true;
                break;
            }
        }
%>
<tr bgColor=#f5f5f5>
    <td nowrap class="messageText"><%=AbstractPermission.getDescription(perm)%></td>
    <% if (havePerm == true) {%>
    <td align="center" class="messageTextBold"><font color="#008000">Yes</font></td>
    <td align="center"></td>
    <td align="center"><input type="checkbox" name="remove" value="<%=perm%>"></td>
    <% } else {%>
    <td align="center" class="messageText"><font color="#FF0080">No</font></td>
    <td align="center"><input type="checkbox" name="add" value="<%=perm%>"></td>
    <td align="center"></td>
    <% }%>
</tr>
<%
    } //for
%>
<tr bgColor=#eeeeff>
    <td nowrap class="messageText"></td>
    <td align="center" class="messageText"></td>
    <td align="center" class="messageText"><input type="submit" name="btnAdd" value="Add"></td>
    <td align="center" class="messageText"><input type="submit" name="btnRemove" value="Remove"></td>
</tr>
</table>
</form>

<%

%>

<p>
<%@ include file="/mvnplugin/mvnforum/admin/footer.jsp"%>
</body>
</html>
