<%
/*
 * Copyright (C) 2002 by MyVietnam.net
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * All copyright notices regarding mvnForum
 * must remain intact in the scripts and in the outputted HTML
 * The "powered by" text/logo with a link back to
 * http://www.mvnForum.com and http://www.MyVietnam.net in the footer of the pages MUST
 * remain visible when the pages are viewed on the internet or intranet.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * Support can be obtained from support forums at:
 * http://www.mvnForum.com/mvnforum/index
 *
 * Correspondence and Marketing Questions can be sent to:
 * info@MyVietnam.net
 *
 * @author: Minh Nguyen  minhnn@MyVietnam.net
 * @author: Mai  Nguyen  mai.nh@MyVietnam.net
 */
%>
<%@ page errorPage="/mvnplugin/mvnforum/error.jsp"%>
<%@ page import="net.myvietnam.mvnplugin.mvnforum.db.*"%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">

<html>
<head>
    <title>View Group</title>
<%@ include file="/mvnplugin/mvnforum/meta.jsp"%>
</head>
<link href="<%=request.getContextPath()%>/mvnplugin/mvnforum/css/style.css" rel=stylesheet type=text/css>
<body leftmargin=0 topmargin=0>

<%@ include file="/mvnplugin/mvnforum/admin/header.jsp"%>
<%
GroupsBean objGroupsBean = (GroupsBean)request.getAttribute("GroupsBean");
int groupID_int = objGroupsBean.getGroupID();
String groupID = String.valueOf(groupID_int);
String groupName = objGroupsBean.getGroupName();
%>

<p>
<table width="95%" align="center">
<tr class="nav">
    <td><img src="<%=request.getContextPath()%>/mvnplugin/mvnforum/images/nav.gif"></td>
    <td width="100%" nowrap>
    <a class="navLink" href="<%=indexUrl%>">mvnForum</a>&nbsp;&raquo;&nbsp;
    <a class="navLink" href="index">Admin CP</a>&nbsp;&raquo;&nbsp;
    <a class="navLink" href="groupmanagement">Group Management</a>&nbsp;&raquo;&nbsp;
    <%=groupName%>
    </td>
</tr>
</table>
<p>

<table width="95%" cellspacing="1" cellpadding="3" align="center" bgcolor="#999999">
<tr bgcolor=#f5f5f5>
    <td class="messageText">
    You can change many aspects of your group (<b><%=groupName%></b>) here,
    including edit group info,
    change owner for this group or add/remove members to/from this group.
    <br>Choose below tasks to continue:<br>
    <a href="editgroupinfo?group=<%=groupID%>" class="messageTextBoldBlue">Edit Group Information</a><br>
<%if (groupID_int >= 3) {%>
    <a href="editgroupowner?group=<%=groupID%>" class="messageTextBoldBlue">Change Group Owner</a><br>
    <a href="addmembergroup?group=<%=groupID%>" class="messageTextBoldBlue">Add Member to Group</a><br>
    <a href="listmembergroup?group=<%=groupID%>" class="messageTextBoldBlue">List Members in this Group</a><br>
<%}%>
    <a href="editgrouppermission?group=<%=groupID%>" class="messageTextBoldBlue">Change Group Permission</a><br>
    <a href="#" class="messageTextBoldBlue">Change Group Option</a><br>
    </td>
</tr>
</table>
<p>

<form action="addgroupprocess" method="post">
<table width="95%" border="0" cellspacing="1" cellpadding="3" align="center" bgcolor="#999999">
  <tr bgcolor="#666699" class="header">
    <td colspan="2">Your current group information:</td>
  </tr>
  <tr bgcolor=#f5f5f5>
    <td valign="top" class="messageTextBold" width="200">Name:</td>
    <td class="messageText"><%=groupName%></td>
  </TR>
  <tr bgcolor="White">
    <TD valign="top" class="messageTextBold">Description:</TD>
    <td class="messageText"><%=objGroupsBean.getGroupDesc()%></td>
  </TR>
  <tr bgcolor=#f5f5f5>
    <td valign="top" class="messageTextBold">Owner Name:</td>
    <td class="messageText">
        <%
        if ( (groupID_int == 1) || (groupID_int == 2) ) {
            out.print("N/A");
        } else {//normal group
            if (objGroupsBean.getGroupOwnerID() == 0) {
               out.print("No Owner for this Group");
            } else {
                out.print(objGroupsBean.getGroupOwnerName());
            }
        }
        %>
    </td>
  </TR>
  <tr bgcolor="White">
    <TD valign="top" class="messageTextBold">Creation Date:</TD>
    <td class="messageText"><%=objGroupsBean.getGroupCreationDate()%></td>
  </TR>
  <tr bgcolor=#f5f5f5>
    <td valign="top" class="messageTextBold">Last Modified Date:</td>
    <td class="messageText"><%=objGroupsBean.getGroupModifiedDate()%></td>
  </TR>
</table>

</form>

<p>
&nbsp;
<%@ include file="/mvnplugin/mvnforum/admin/footer.jsp"%>
</body>
</html>

