<%
/*
 * Copyright (C) 2002 by MyVietnam.net
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * All copyright notices regarding mvnForum
 * must remain intact in the scripts and in the outputted HTML
 * The "powered by" text/logo with a link back to
 * http://www.mvnForum.com and http://www.MyVietnam.net in the footer of the pages MUST
 * remain visible when the pages are viewed on the internet or intranet.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * Support can be obtained from support forums at:
 * http://www.mvnForum.com/mvnforum/index
 *
 * Correspondence and Marketing Questions can be sent to:
 * info@MyVietnam.net
 *
 * @author: Minh Nguyen  minhnn@MyVietnam.net
 * @author: Mai  Nguyen  mai.nh@MyVietnam.net
 */
%>
<%@ page errorPage="/mvnplugin/mvnforum/error.jsp"%>
<%@ page import="net.myvietnam.mvnplugin.mvnforum.db.*" %>
<%@ page import="net.myvietnam.mvncore.util.ParamUtil" %>
<%@ page import="net.myvietnam.mvncore.exception.BadInputException" %>
<%
/**
 * This page is uesd to do 2 actions
 * 1. add new post ( action=addnew ), either new thread or reply to a thread
 * 2. edit post ( action=update )
 */
%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">

<%
int parentPostID = 0;
try {
    parentPostID = ParamUtil.getParameterInt(request, "parent");
} catch (BadInputException e) {
    // do nothing
}
String action = (String)request.getAttribute("action");
if (action == null) action = "";

String mode;
String fullmode;
String replyTopic;
String postTopic = "";
String postBody = "";

PostBean postToEdit  = null;// use when edit a post
PostBean parentPostBean = null;//use when reply to a post

if (action.equals("addnew")) {
    if (parentPostID == 0) {
        mode = "Post new thread";
        fullmode = mode;
        replyTopic = "";
    } else {
        mode = "Reply to the post";
        // this is the parent of the reply
        parentPostBean = (PostBean)request.getAttribute("ParentPostBean");
        replyTopic = parentPostBean.getPostTopic();
        fullmode = mode + " : " + replyTopic;
    }
} else if (action.equals("update")) {
    mode = "Edit a post";
    postToEdit = (PostBean)request.getAttribute("PostToEdit");
    String editTopic = postToEdit.getPostTopic();
    fullmode = mode + " : " + editTopic;
    postTopic = editTopic;//du
    postBody = postToEdit.getPostBody();
} else {
    throw new BadInputException("Cannot find the action!");
}
%>
<html>
<head>
    <title><%=fullmode%></title>
<%@ include file="/mvnplugin/mvnforum/meta.jsp"%>
</head>
<link href="<%=request.getContextPath()%>/mvnplugin/mvnforum/css/style.css" rel=stylesheet type=text/css>

<script language="JavaScript" src="<%=request.getContextPath()%>/mvnplugin/mvnforum/js/vbcode.js"></script>
<script language="JavaScript" src="<%=request.getContextPath()%>/mvnplugin/mvnforum/js/vbcode_language.js"></script>
<style type="text/css">
    SELECT {
        FONT-SIZE: 11px; COLOR: #000000; FONT-FAMILY: Verdana,Arial,Helvetica,sans-serif; BACKGROUND-COLOR: #cfcfcf
    }
    TEXTAREA {
        FONT-SIZE: 12px; COLOR: #000000; FONT-FAMILY: Verdana,Arial,Helvetica,sans-serif; BACKGROUND-COLOR: #cfcfcf
    }
    .bginput {
        FONT-SIZE: 12px; COLOR: #000000; FONT-FAMILY: Verdana,Arial,Helvetica,sans-serif; BACKGROUND-COLOR: #cfcfcf
    }
</style>

<body leftmargin=0 topmargin=0>
<script language="JavaScript">
function gotoPage(s) {
    if (s != '') top.location.href = s;
    return 1;
}
</script>

<%@ include file="/mvnplugin/mvnforum/user/header.jsp"%>

<%
CategoryCache categoryCache = CategoryCache.getInstance();
ForumCache forumCache = ForumCache.getInstance();
java.util.Collection forumBeans = forumCache.getBeans();

int forumID_int;
if (action.equals("addnew")) {
    if (parentPostID == 0) {// new thread
        forumID_int = ParamUtil.getParameterInt(request, "forum");
    } else {//reply to a post
        forumID_int = parentPostBean.getForumID();
    }
} else {
    forumID_int = postToEdit.getForumID();
}
String forumID = String.valueOf(forumID_int);
String forumName = forumCache.getBean(forumID_int).getForumName();
%>
<p>
<table width="95%" align="center">
<tr class="nav">
    <td><img src="<%=request.getContextPath()%>/mvnplugin/mvnforum/images/nav.gif"></td>
    <td width="100%" nowrap>
    <a class="navLink" href="index">mvnForum</a>&nbsp;&raquo;&nbsp;
    <a class="navLink" href="listforums">List all forums</a>&nbsp;&raquo;&nbsp;
    Forum: <a class="navLink" href="listthreads?forum=<%=forumID%>"><%=forumName%></a>&nbsp;&raquo;&nbsp;
    <%=mode%><%if (parentPostID != 0) {%> : <a class="navLink" href="viewthread?forum=<%=forumID%>&message=<%=parentPostID%>"><%//=replyTopic%></a><%}%></td>
    </td>
</tr>
</table>
<p>

<table width="95%" align="center">
<tr class="messageText"><td>
<form>
Quick go &raquo; <select name="FastGoForum" onChange="gotoPage(this.options[this.selectedIndex].value)">
<%
java.util.Iterator iterator1 = forumBeans.iterator();
int lastCategoryID = -1;
while(iterator1.hasNext()) {
    ForumBean row = (ForumBean)iterator1.next();
    if (row.getCategoryID() != lastCategoryID) {// to print the category
        lastCategoryID = row.getCategoryID();
        CategoryBean categoryBean = categoryCache.getBean(lastCategoryID);
%>
    <option value=""></option>
    <option value="listforums"><%=categoryBean.getCategoryName()%></option>
    <option value="">---------------------------------</option>
<%
    }//if
%>
    <option value="listthreads?forum=<%=row.getForumID()%>" <%if (row.getForumID() == forumID_int) {%>SELECTED<%}%>>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<%=row.getForumName()%></option>
<%
}//while
%>
</select>
</form>
</td></tr>
</table>

<%if (action.equals("addnew")) {%>
<form action="addpostprocess" method="post" name="vbform">
<input type="hidden" name="ForumID" value="<%=ParamUtil.getParameter(request, "forum")%>">
<input type="hidden" name="ParentPostID" value="<%=parentPostID%>">
<%} else {//update%>
<form action="updatepost" method="post" name="vbform">
<input type="hidden" name="PostID" value="<%=postToEdit.getPostID()%>">
<input type="hidden" name="parent" value="<%=parentPostID%>">
<input type="hidden" name="offset" value="<%=ParamUtil.getParameter(request, "offset")%>">
<%}%>
<table width="95%" border="0" cellspacing="1" cellpadding="3" align="center" bgcolor="#999999">
  <tr bgcolor="#666699" class="header">
    <td colspan="2" align="left"><%=fullmode%></td>
  </tr>
  <tr bgcolor=#f5f5f5>
    <td width="150" nowrap><span class="messageTextBold">Topic:</span>
    <span class="messageText">
    <%if (parentPostID == 0) {%>
    <font color="Red">(Required)</font>
    <%} else {%>
    <font color="Blue">(Optional)</font>
    <%}%>
    </span>
    </td>
    <TD><input type="text" name="PostTopic" value="<%=postTopic%>" size="60" class="bginput" tabindex="1"></TD></TR>

  <tr bgcolor="White">
    <td width="150" valign="top" nowrap class="messageText">
        <span class="messageTextBold">Format:</span><br>
        <INPUT onmouseover="stat('norm')" title="Normal Mode: (alt+n)" accessKey=n onclick=setmode(this.value) type=radio CHECKED value=0 name=mode> Normal Mode <BR>
        <INPUT onmouseover="stat('enha')" title="Enhanced Mode: (alt+e)" accessKey=e onclick=setmode(this.value) type=radio value=1 name=mode> Enhanced Mode
    </td>
    <TD>
        <TABLE cellSpacing=0 cellPadding=0 border=0>
            <TR>
              <TD noWrap>
                <INPUT class=bginput onmouseover="stat('b')" title="BOLD (alt+b)" accessKey=b onclick="vbcode(this.form,'B','')" type=button value=" B ">
                <INPUT class=bginput onmouseover="stat('i')" title="ITALIC (alt+i)" accessKey=i onclick="vbcode(this.form,'I','')" type=button value=" I ">
                <INPUT class=bginput onmouseover="stat('u')" title="UNDERLINE (alt+u)" accessKey=u onclick="vbcode(this.form,'U','')" type=button value=" U ">&nbsp;
                <SELECT id=sizeselect onmouseover="stat('size')" onchange="fontformat(this.form,this.options[this.selectedIndex].value,'SIZE')">
                    <OPTION value=0 selected>SIZE</OPTION>
                    <OPTION value=1>small</OPTION>
                    <OPTION value=3>large</OPTION>
                    <OPTION value=4>huge</OPTION>
                </SELECT>
                <select id="fontselect" onChange="fontformat(this.form,this.options[this.selectedIndex].value,'FONT')" onMouseOver="stat('font')">
                  <option value="0" selected>FONT</option>
                  <option value="arial">Arial</option>
                  <option value="times new roman">Times</option>
                  <option value="courier new">Courier</option>
                  <option value="century gothic">Century</option>
                </SELECT>
                <SELECT id=colorselect onmouseover="stat('color')" onchange="fontformat(this.form,this.options[this.selectedIndex].value,'COLOR')">
                  <OPTION value=0 selected>COLOR</OPTION>
                  <OPTION style="COLOR: skyblue" value=skyblue>sky blue</OPTION>
                  <OPTION style="COLOR: royalblue" value=royalblue>royal blue</OPTION>
                  <OPTION style="COLOR: blue" value=blue>blue</OPTION>
                  <OPTION style="COLOR: darkblue" value=darkblue>dark-blue</OPTION>
                  <OPTION style="COLOR: orange" value=orange>orange</OPTION>
                  <OPTION style="COLOR: orangered" value=orangered>orange-red</OPTION>
                  <OPTION style="COLOR: crimson" value=crimson>crimson</OPTION>
                  <OPTION style="COLOR: red" value=red>red</OPTION>
                  <OPTION style="COLOR: firebrick" value=firebrick>firebrick</OPTION>
                  <OPTION style="COLOR: darkred" value=darkred>dark red</OPTION>
                  <OPTION style="COLOR: green" value=green>green</OPTION>
                  <OPTION style="COLOR: limegreen" value=limegreen>limegreen</OPTION>
                  <OPTION style="COLOR: seagreen" value=seagreen>sea-green</OPTION>
                  <OPTION style="COLOR: deeppink" value=deeppink>deeppink</OPTION>
                  <OPTION style="COLOR: tomato" value=tomato>tomato</OPTION>
                  <OPTION style="COLOR: coral" value=coral>coral</OPTION>
                  <OPTION style="COLOR: purple" value=purple>purple</OPTION>
                  <OPTION style="COLOR: indigo" value=indigo>indigo</OPTION>
                  <OPTION style="COLOR: burlywood" value=burlywood>burlywood</OPTION>
                  <OPTION style="COLOR: sandybrown" value=sandybrown>sandy brown</OPTION>
                  <OPTION style="COLOR: sienna" value=sienna>sienna</OPTION>
                  <OPTION style="COLOR: chocolate" value=chocolate>chocolate</OPTION>
                  <OPTION style="COLOR: teal" value=teal>teal</OPTION>
                  <OPTION style="COLOR: silver" value=silver>silver</OPTION>
                </SELECT> <BR>
                <INPUT class=bginput onmouseover="stat('url')" title="Insert Hyperlink" onclick="namedlink(this.form,'URL')" type=button value=http://>
                <INPUT class=bginput onmouseover="stat('email')" title="Insert Email Address" onclick="namedlink(this.form,'EMAIL')" type=button value=" @ ">
                <INPUT class=bginput onmouseover="stat('img')" title="Insert Image" onclick="vbcode(this.form,'IMG','http://')" type=button value=IMG> &nbsp;
                <INPUT class=bginput onmouseover="stat('code')" title=CODE onclick="vbcode(this.form,'CODE','')" type=button value=" # ">
                <INPUT class=bginput onmouseover="stat('php')" title="PHP CODE" onclick="vbcode(this.form,'PHP','')" type=button value=PHP>
                <INPUT class=bginput onmouseover="stat('list')" title="Ordered List" accessKey=l onclick=dolist(this.form) type=button value=List>
                <INPUT class=bginput onmouseover="stat('quote')" title="Insert Quote" onclick="vbcode(this.form,'QUOTE','')" type=button value=Quote>
                <BR>
                <input type="text" name="status" value="Use these controls to insert vBcode" size="50" class="bginput" style="FONT-SIZE: 7pt">
              </TD>
              <TD>&nbsp;</TD>
              <TD>
              <FONT face=verdana,arial,helvetica size=1>
                <INPUT class=bginput onmouseover="stat('closecurrent')" title="Close Current Tag (alt+c)" style="FONT-WEIGHT: bold; COLOR: red" accessKey=c onclick=closetag(this.form) type=button value=" x ">
                Close Current Tag<BR>
                <INPUT class=bginput onmouseover="stat('closeall')" title="Close All Open Tags (alt+x)" style="FONT-WEIGHT: bold; COLOR: red" accessKey=x onclick=closeall(this.form) type=button value=" x ">
                Close All Tags
              </FONT></TD></TR>
        </TABLE>
    </TD>
  </TR>

  <TR bgcolor=#f5f5f5>
    <td align="left" valign="top" nowrap class="messageTextBold">Message Body:</td>
    <TD><textarea cols="60" rows="15" name="message" tabindex="2"><%=postBody%></textarea></TD></TR>
  <tr bgcolor="Silver">
    <td colspan="2" align="center"><input type="submit" name="Submit" value="<%=mode%>">
        <input type="reset" value="Reset"></td>
  </tr>
</table>
</form>
<p>

<%
if (action.equals("addnew") && (parentPostID != 0) ) {
%>
<table width="95%" border="0" cellspacing="1" cellpadding="3" align="center" bgcolor="#999999">
<tr bgcolor="#666699" class="header">
    <td colspan="2" align="left">Reply to post:</td>
</tr>
  <tr bgColor=#f5f5f5>
    <td width="20%" class="messageText">
      <a href="viewmember?memberid=<%=parentPostBean.getMemberID()%>" class="messageTextBoldBlue"><%=parentPostBean.getMemberName()%></a><br>
      Post on: <%=onlineUser.getGMTTimestampFormat(parentPostBean.getPostCreationDate())%>
    </td>
    <td>
    <font class="messageTextBold"><%=parentPostBean.getPostTopic()%></font><br>
    <font class="messageText"><%=parentPostBean.getPostBody_withFilter()%>
    </td>
  </tr>
</table>
<p>
<table width="95%" border="0" cellspacing="1" cellpadding="3" align="center" bgcolor="#999999">
<tr bgcolor="#666699" class="header">
    <td colspan="2" align="center">Last posts in this thread (newest post is on top):</td>
</tr>

<%
    java.util.Collection postBeans = (java.util.Collection)request.getAttribute("PostBeans");
    int odd = 0;
    java.util.Iterator iterator = postBeans.iterator();
    while (iterator.hasNext()) {
        odd = (odd+1)%2;
        PostBean postBean = (PostBean)iterator.next();
%>
        <%if (odd == 0) {%>
  <tr bgColor=#f5f5f5>
        <%} else {%>
  <tr bgcolor="White">
        <%}%>
    <td width="20%" class="messageText">
      <a href="viewmember?memberid=<%=parentPostBean.getMemberID()%>" class="messageTextBoldBlue"><%=parentPostBean.getMemberName()%></a><br>
      Post on: <%=onlineUser.getGMTTimestampFormat(parentPostBean.getPostCreationDate())%>
    </td>
    <td>
    <font class="messageTextBold"><%=postBean.getPostTopic()%></font><br>
    <font class="messageText"><%=postBean.getPostBody_withFilter()%>
    </td>
  </tr>
<%
    }//while
%>

</table>
<%
}// if reply to a topic, not new thread
%>

<p>&nbsp;
<%@ include file="/mvnplugin/mvnforum/user/footer.jsp"%>
</body>
</html>
