<%
/*
 * Copyright (C) 2002 by MyVietnam.net
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * All copyright notices regarding mvnForum
 * must remain intact in the scripts and in the outputted HTML
 * The "powered by" text/logo with a link back to
 * http://www.mvnForum.com and http://www.MyVietnam.net in the footer of the pages MUST
 * remain visible when the pages are viewed on the internet or intranet.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * Support can be obtained from support forums at:
 * http://www.mvnForum.com/mvnforum/index
 *
 * Correspondence and Marketing Questions can be sent to:
 * info@MyVietnam.net
 *
 * @author: Minh Nguyen  minhnn@MyVietnam.net
 * @author: Mai  Nguyen  mai.nh@MyVietnam.net
 */
%>
<%@ page errorPage="/mvnplugin/mvnforum/error.jsp"%>
<%@ page import="net.myvietnam.mvncore.util.ParamUtil" %>
<%@ page import="net.myvietnam.mvncore.util.DateUtil" %>
<%@ page import="net.myvietnam.mvnplugin.mvnforum.db.*" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">

<html>
<head>
    <title>Edit Member</title>
<%@ include file="/mvnplugin/mvnforum/meta.jsp"%>
</head>
<link href="<%=request.getContextPath()%>/mvnplugin/mvnforum/css/style.css" rel=stylesheet type=text/css>

<body leftmargin=0 topmargin=0>

<%@ include file="/mvnplugin/mvnforum/user/header.jsp"%>
<p>

<table width="95%" align="center">
<tr class="nav">
    <td><img src="<%=request.getContextPath()%>/mvnplugin/mvnforum/images/nav.gif"></td>
    <td width="100%" nowrap>
    <a class="navLink" href="index">mvnForum</a>&nbsp;&raquo;&nbsp;
    <a class="navLink" href="myprofile">My Profile</a>&nbsp;&raquo;&nbsp;
    Edit Infomation
    </td>
</tr>
</table>

<p>
<%
MemberBean memberBean = (MemberBean)request.getAttribute("MemberBean");
%>

<div align="center" class="messageText">
You are logged in as <font color="Red"><b><%=memberName%></b></font>.
If you are not <font color="Red"><b><%=memberName%></b></font>, click here to <a href="logout">logout</a>
</div>

<form action="updatemember" method="post">
<table width="95%" border="0" cellspacing="1" cellpadding="3" align="center" bgcolor="#999999">
  <tr bgcolor="#666699" class="header">
    <td colspan="2">Please enter the following information to edit your profile:</td>
  </tr>
  <tr bgcolor=#f5f5f5>
    <TD class="messageTextBold"><font color="Red">*</font> First Name</TD>
    <TD><input type="text" size="60" name="MemberFirstname" value="<%=memberBean.getMemberFirstname()%>"></TD></TR>
  <tr bgcolor="White">
    <TD class="messageTextBold"><font color="Red">*</font> Last Name</TD>
    <TD><input type="text" size="60" name="MemberLastname" value="<%=memberBean.getMemberLastname()%>"></TD></TR>
  <tr bgcolor=#f5f5f5>
    <TD class="messageTextBold"><font color="Red">*</font> Birthday (dd/mm/yyyy)</TD>
    <TD><input type="text" size="60" name="MemberBirthday" value="<%=DateUtil.getDateDDMMYYYY(memberBean.getMemberBirthday())%>"></TD></TR>
  <tr bgcolor="White">
    <TD class="messageTextBold">Gender</TD>
    <TD><select name="MemberGender" size="1">
        <%if (memberBean.getMemberGender() == 1) {%>
        <option value="1" selected>Male</option>
        <option value="">Female</option>
        <%} else {%>
        <option value="1">Male</option>
        <option value="" selected>Female</option>
        <%}%>
        </select>
    </TD></TR>
  <tr bgcolor=#f5f5f5>
    <TD class="messageTextBold">Show Email</TD>
    <TD><input type="checkbox" name="MemberEmailVisible" value="yes"
    <%if (memberBean.getMemberEmailVisible() == 1) {%>
    checked
    <%}%>
    ></TD></TR>
  <tr bgcolor="White">
    <TD class="messageTextBold">Show Name</TD>
    <TD><input type="checkbox" name="MemberNameVisible" value="yes"
    <%if (memberBean.getMemberNameVisible() == 1) {%>
    checked
    <%}%>
    ></TD></TR>
  <tr bgcolor="White">
    <TD class="messageTextBold">Language</TD>
    <TD><input type="text" size="60" name="MemberLanguage" value="<%=memberBean.getMemberLanguage()%>"></TD></TR>
  <tr bgcolor=#f5f5f5>
    <TD class="messageTextBold">Skin</TD>
    <TD><input type="text" size="60" name="MemberSkin" value="<%=memberBean.getMemberSkin()%>"></TD></TR>
  <tr bgcolor=#f5f5f5>
    <TD class="messageTextBold">Posts per page</TD>
    <TD><input type="text" size="60" name="MemberPostsPerPage" value="<%=memberBean.getMemberPostsPerPage()%>"></TD></TR>
  <tr bgcolor=#f5f5f5>
    <TD class="messageTextBold">Private Option</TD>
    <TD><input type="text" size="60" name="MemberOption" value="<%=memberBean.getMemberOption()%>"></TD></TR>
  <tr bgcolor=#f5f5f5>
    <TD class="messageTextBold">Private Message Option</TD>
    <TD><input type="text" size="60" name="MemberMessageOption" value="<%=memberBean.getMemberMessageOption()%>"></TD></TR>
  <tr bgcolor=#f5f5f5>
    <TD class="messageTextBold">Address</TD>
    <TD><input type="text" size="60" name="MemberAddress" value="<%=memberBean.getMemberAddress()%>"></TD></TR>
  <tr bgcolor="White">
    <TD class="messageTextBold">City</TD>
    <TD><input type="text" size="60" name="MemberCity" value="<%=memberBean.getMemberCity()%>"></TD></TR>
  <tr bgcolor="White">
    <TD class="messageTextBold">State</TD>
    <TD><input type="text" size="60" name="MemberState" value="<%=memberBean.getMemberState()%>"></TD></TR>
  <tr bgcolor=#f5f5f5>
    <TD class="messageTextBold">Country</TD>
    <TD><input type="text" size="60" name="MemberCountry" value="<%=memberBean.getMemberCountry()%>"></TD></TR>
  <tr bgcolor=#f5f5f5>
    <TD class="messageTextBold">Phone</TD>
    <TD><input type="text" size="60" name="MemberPhone" value="<%=memberBean.getMemberPhone()%>"></TD></TR>
  <tr bgcolor=#f5f5f5>
    <TD class="messageTextBold">Mobile</TD>
    <TD><input type="text" size="60" name="MemberMobile" value="<%=memberBean.getMemberMobile()%>"></TD></TR>
  <tr bgcolor=#f5f5f5>
    <TD class="messageTextBold">Fax</TD>
    <TD><input type="text" size="60" name="MemberFax" value="<%=memberBean.getMemberFax()%>"></TD></TR>
  <tr bgcolor="White">
    <TD class="messageTextBold">Career</TD>
    <TD><input type="text" size="60" name="MemberCareer" value="<%=memberBean.getMemberCareer()%>"></TD></TR>
  <tr bgcolor="White">
    <TD class="messageTextBold">Time zone</TD>
    <TD><input type="text" size="60" name="MemberTimeZone" value="<%=memberBean.getMemberTimeZone()%>"></TD></TR>
  <tr bgcolor=#f5f5f5>
    <TD class="messageTextBold">Home page</TD>
    <TD><input type="text" size="60" name="MemberHomepage" value="<%=memberBean.getMemberHomepage()%>"></TD></TR>
  <tr bgcolor="White">
    <TD class="messageTextBold">Cool Link 1</TD>
    <TD><input type="text" size="60" name="MemberCoolLink1" value="<%=memberBean.getMemberCoolLink1()%>"></TD></TR>
  <tr bgcolor=#f5f5f5>
    <TD class="messageTextBold">Cool Link 2</TD>
    <TD><input type="text" size="60" name="MemberCoolLink2" value="<%=memberBean.getMemberCoolLink2()%>"></TD></TR>
  <tr bgcolor="White">
    <TD class="messageTextBold">Yahoo ID</TD>
    <TD><input type="text" size="60" name="MemberYahoo" value="<%=memberBean.getMemberYahoo()%>"></TD></TR>
  <tr bgcolor=#f5f5f5>
    <TD class="messageTextBold">AOL ID</TD>
    <TD><input type="text" size="60" name="MemberAol" value="<%=memberBean.getMemberAol()%>"></TD></TR>
  <tr bgcolor="White">
    <TD class="messageTextBold">ICQ ID</TD>
    <TD><input type="text" size="60" name="MemberIcq" value="<%=memberBean.getMemberIcq()%>"></TD></TR>
  <tr bgcolor="White">
    <TD class="messageTextBold">Msn ID</td>
    <TD><input type="text" size="60" name="MemberMsn" value="<%=memberBean.getMemberMsn()%>"></td></tr>
  <tr bgcolor="Silver">
    <td colspan="2" align="center"><input type="submit" value="Edit your information"> <input type="Reset"></td>
  </tr>
</table>
</form>

MemberStatus,


<p>
&nbsp;
<p>
<%@ include file="/mvnplugin/mvnforum/user/footer.jsp"%>

</body>
</html>

