<%
/*
 * Copyright (C) 2002 by MyVietnam.net
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * All copyright notices regarding mvnForum
 * must remain intact in the scripts and in the outputted HTML
 * The "powered by" text/logo with a link back to
 * http://www.mvnForum.com and http://www.MyVietnam.net in the footer of the pages MUST
 * remain visible when the pages are viewed on the internet or intranet.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * Support can be obtained from support forums at:
 * http://www.mvnForum.com/mvnforum/index
 *
 * Correspondence and Marketing Questions can be sent to:
 * info@MyVietnam.net
 *
 * @author: Minh Nguyen  minhnn@MyVietnam.net
 * @author: Mai  Nguyen  mai.nh@MyVietnam.net
 */
%>
<%@ page errorPage="/mvnplugin/mvnforum/error.jsp"%>
<%@ page import="net.myvietnam.mvncore.util.ParamUtil" %>
<%@ page import="net.myvietnam.mvncore.util.StringUtil" %>
<%@ page import="net.myvietnam.mvnplugin.mvnforum.db.*" %>
<%@ page import="java.util.Collection" %>
<%@ page import="java.util.Iterator" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">

<html>
<head>
    <title>List of threads</title>
<%@ include file="/mvnplugin/mvnforum/meta.jsp"%>
</head>
<link href="<%=request.getContextPath()%>/mvnplugin/mvnforum/css/style.css" rel=stylesheet type=text/css>

<body leftmargin=0 topmargin=0>
<script language="JavaScript">
function gotoPage(s) {
    if (s != '') top.location.href = s;
    return 1;
}
</script>

<%@ include file="/mvnplugin/mvnforum/user/header.jsp"%>

<%
int forumID_int     = ParamUtil.getParameterInt(request, "forum");
String forumID      = String.valueOf(forumID_int);
int totalThreads    = ((Integer)request.getAttribute("TotalThreads")).intValue();
int totalPosts      = ((Integer)request.getAttribute("TotalPosts")).intValue();
Collection threadRows = (Collection) request.getAttribute("ThreadBeans");

//long start = System.currentTimeMillis();
CategoryCache categoryCache = CategoryCache.getInstance();
ForumCache forumCache = ForumCache.getInstance();
%>

<p>
<table width="95%" align="center">
<tr class="nav">
    <td><img src="<%=request.getContextPath()%>/mvnplugin/mvnforum/images/nav.gif"></td>
    <td width="100%" nowrap>
    <a class="navLink" href="index">mvnForum</a>&nbsp;&raquo;&nbsp;
    <a class="navLink" href="listforums">List all forums</a>&nbsp;&raquo;&nbsp;
    Forum: <%=forumCache.getBean(forumID_int).getForumName()%>
    </td>
</tr>
</table>
<p>

<table width="95%" align="center">
<tr class="messageText"><td>

<form>
Quick go &raquo; <select name="FastGoForum" onChange="gotoPage(this.options[this.selectedIndex].value)">
<%
Collection forumBeans = forumCache.getBeans();
Iterator forumIterator = forumBeans.iterator();
int lastCategoryID = -1;
while(forumIterator.hasNext()) {
    ForumBean row = (ForumBean)forumIterator.next();
    if (row.getCategoryID() != lastCategoryID) {// to print the category
        lastCategoryID = row.getCategoryID();
        CategoryBean categoryBean = categoryCache.getBean(lastCategoryID);
%>
    <option value=""></option>
    <option value="listforums"><%=categoryBean.getCategoryName()%></option>
    <option value="">---------------------------------</option>
<%
    }//if
%>
    <option value="listthreads?forum=<%=row.getForumID()%>" <%if (row.getForumID() == forumID_int) {%>SELECTED<%}%>>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<%=row.getForumName()%></option>
<%
}//while
//long time = System.currentTimeMillis() - start;
%>
</select>
</form>

</td></tr>
<tr>
    <td></td>
</tr>
</table>


<table width="95%" align="center">
<tr>
    <td class="hightlight">There are <%=totalPosts%> posts in <%=totalThreads%> threads in this forum</td>
    <td align="right"><a class="messageTextBold" href="addpost?forum=<%=forumID%>">Post new Thread</a></td>
</tr>
</table>

<table width="95%" border="0" cellspacing="1" cellpadding="3" align="center" bgcolor="#999999">
<tr bgcolor="#666699" class="header">
    <td>Thread</td>
    <td align="center">Author</td>
    <td align="center">Replies</td>
    <td align="center">Views</td>
    <td align="center">Last Post</td>
</tr>
<%
int i = 0;
int odd = 0;
    Iterator iterator = threadRows.iterator();
    while(iterator.hasNext()) {
        odd = (odd + 1)%2;
        ThreadBean threadBean = (ThreadBean)iterator.next();
%>
<%if (odd == 0) {%>
<tr bgColor=#eeeeff>
<%} else {%>
<tr bgcolor="White">
<%}%>
    <td>
        <a class="messageTopic" href="viewthread?thread=<%=threadBean.getThreadID()%>"><%=threadBean.getThreadTopic()%></a><br>
        <div class="messageText"><%=StringUtil.getShorterString(threadBean.getThreadBody())%></div>
    </td>
    <td align="center">
        <a href="viewmember?member=<%=threadBean.getMemberName()%>" class="messageTextBoldBlue">
        <%=threadBean.getMemberName()%>
        </a>
    </td>
    <td align="center" class="messageTextBold"><%=threadBean.getThreadReplyCount()%></td>
    <td align="center" class="messageTextBold"><%=threadBean.getThreadViewCount()%></td>
    <td align="center" class="messageText">
        <%=onlineUser.getGMTTimestampFormat(threadBean.getThreadLastPostDate())%><br>by
        <a href="viewmember?member=<%=threadBean.getLastPostMemberName()%>" class="messageTextBoldBlue">
        <%=threadBean.getLastPostMemberName()%>
        </a>
    </td>
</tr>
<%
        i++;
    }//while
if (threadRows.size() == 0) {
%>
    <td colspan="5" align="center" bgcolor="#EEEEFF" class="messageText">There is not any threads.</td>
<%
}
%>
</table>

<%
int startOffset = ((Integer)request.getAttribute("StartOffset")).intValue();
int lastOffset = ((Integer)request.getAttribute("LastOffset")).intValue();
int previousOffset = ((Integer)request.getAttribute("PreviousOffset")).intValue();
int nextOffset = ((Integer)request.getAttribute("NextOffset")).intValue();

if (previousOffset >= 0 || nextOffset >= 0) {
%>
<table width="95%" border="0" cellspacing="0" cellpadding="3" align="center" bgcolor="#999999">
<tr bgcolor="Silver">
    <td class="messageTextBold">

<%if (previousOffset >= 0) {%>
    <a href="listthreads?forum=<%=forumID%>&offset=<%=previousOffset%>"><img src="<%=request.getContextPath()%>/mvnplugin/mvnforum/images/icon/left.gif" border="0" alt="Previous Page"></a>
<%} else {%>
    &nbsp;&nbsp;&nbsp;&nbsp;
<%}%>
    &nbsp;&nbsp;<font class="hightlight">Thread&nbsp;<%=startOffset%>&nbsp;-&nbsp;<%=lastOffset%>&nbsp;of&nbsp;<%=totalThreads%></font>&nbsp;&nbsp;

<%if (nextOffset >= 0) {%>
    <a href="listthreads?forum=<%=forumID%>&offset=<%=nextOffset%>"><img src="<%=request.getContextPath()%>/mvnplugin/mvnforum/images/icon/right.gif" border="0" alt="Next Page"></a>
<%} else {%>
    &nbsp;&nbsp;&nbsp;&nbsp;
<%}%>
    </td>
    <td align="right" class="messageTextBold"><a class="messageTextBold" href="addpost?forum=<%=forumID%>">Post new Thread</a></td>
</tr>
</table>
<% }//if %>

<p>
&nbsp;
<p>
<%@ include file="/mvnplugin/mvnforum/user/footer.jsp"%>
</body>
</html>
