<%
/*
 * Copyright (C) 2002 by MyVietnam.net
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * All copyright notices regarding mvnForum
 * must remain intact in the scripts and in the outputted HTML
 * The "powered by" text/logo with a link back to
 * http://www.mvnForum.com and http://www.MyVietnam.net in the footer of the pages MUST
 * remain visible when the pages are viewed on the internet or intranet.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * Support can be obtained from support forums at:
 * http://www.mvnForum.com/mvnforum/index
 *
 * Correspondence and Marketing Questions can be sent to:
 * info@MyVietnam.net
 *
 * @author: Minh Nguyen  minhnn@MyVietnam.net
 * @author: Mai  Nguyen  mai.nh@MyVietnam.net
 */
%>
<%@ page errorPage="/mvnplugin/mvnforum/error.jsp"%>
<%@ page import="net.myvietnam.mvncore.util.ParamUtil" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">

<html>
<head>
    <title>Log in as a Member</title>
<%@ include file="/mvnplugin/mvnforum/meta.jsp"%>
</head>
<link href="<%=request.getContextPath()%>/mvnplugin/mvnforum/css/style.css" rel=stylesheet type=text/css>
<body leftmargin=0 topmargin=0>

<%@ include file="/mvnplugin/mvnforum/user/header.jsp"%>

<p>
<table width="95%" align="center">
<tr class="nav">
    <td><img src="<%=request.getContextPath()%>/mvnplugin/mvnforum/images/nav.gif"></td>
    <td width="100%" nowrap>
    <a class="navLink" href="index">mvnForum</a>&nbsp;&raquo;&nbsp;
    Log in
    </td>
</tr>
</table>

<p>
<%
String errorMessage = ParamUtil.getAttribute(request, "Reason");
%>
<table width="95%" cellspacing="1" cellpadding="3" align="center" bgcolor="#999999">
<tr bgcolor=#f5f5f5>
  <td class="messageText">
<% if (errorMessage.length() > 0) { %>
    Message: <font color="Red"><%=errorMessage%></font><br>
<% } %>
    You must already have registered for an account before you can log in.<br>
    If you do not have an account, you may click here to <a href="registermember">register</a><br>
    <b>I've forgotten my password! <a href="forgotpassword">Click here!</a></b>
  </td>
</tr>
</table>

<form action="loginprocess" method="post" name="loginForm">
<table width="95%" border="0" cellspacing="1" cellpadding="3" align="center" bgcolor="#999999">
  <tr bgcolor="#666699" class="header">
    <td colspan="2">Please enter your user name and password to login</td>
  </tr>
  <tr bgcolor="#EEEEFF">
    <td width="40%" class="messageText">Please enter your name</td>
    <td class="messageText"><input type="text" name="MemberName" value="<%=ParamUtil.getAttribute(request, "MemberName")%>"></td>
  </tr>
  <tr bgcolor="#EEEEFF">
    <td class="messageText">Please enter your password</td>
    <td class="messageText"><input type="password" name="MemberMatkhau"></td>
  </tr>
  <tr>
    <td colspan="2" align="center" bgcolor="Silver"><input type="submit" value="Login"></td>
  </tr>
</table>
</form>

<script language="JavaScript" type="text/javascript">
<!--
    document.loginForm.MemberName.focus();
//-->
</script>

</p>
&nbsp;
<p>
<%@ include file="/mvnplugin/mvnforum/user/footer.jsp"%>
</body>
</html>
